package jakarta.nosql.test;

import javax.enterprise.inject.se.SeContainer;
import javax.enterprise.inject.se.SeContainerInitializer;

public class CitizenApplication {

    public static void main(String[] args) {
        
        try (SeContainer container = SeContainerInitializer.newInstance().initialize()) {
            CitizenService service = container.select(CitizenService.class).get();
            CitizenRepository repository = service.getCitizenRepository();
            
            Citizen citizen = new Citizen();
            citizen.setId("1234");
            citizen.setName("Dmitry");
            
            Citizen s = repository.save(citizen);
            
            City city = s.getCity(); // ???
            String name = city.getName(); // ???????
            System.out.println("citizen.city.id = " + name);
        }
    }
    
}
